com.r3corda.client.mock / EventGenerator

# EventGenerator

`class EventGenerator`

Generators for incoming/outgoing events to/from the WalletMonitorService. Internally it keeps track of owned state/ref pairs, but it doesnt necessarily generate "correct" events

### Constructors

<init> | `EventGenerator(parties: List<Party>, notary: Party)` Generators for incoming/outgoing events to/from the WalletMonitorService. Internally it keeps track of owned state/ref pairs, but it doesnt necessarily generate "correct" events

### Properties

amountGenerator | `val amountGenerator: <ERROR CLASS>`
amountIssuedGenerator | `val amountIssuedGenerator: <ERROR CLASS>`
cashStateGenerator | `val cashStateGenerator: <ERROR CLASS>`
clientToServiceCommandGenerator | `val clientToServiceCommandGenerator: <ERROR CLASS>`
consumedGenerator | `val consumedGenerator: Generator<Set<StateRef>>`
currencies | `val currencies: <ERROR CLASS>`
currencyGenerator | `val currencyGenerator: <ERROR CLASS>`
exitCashGenerator | `val exitCashGenerator: <ERROR CLASS>`
issueCashGenerator | `val issueCashGenerator: <ERROR CLASS>`
issueRefGenerator | `val issueRefGenerator: Generator<OpaqueBytes>`
issuerGenerator | `val issuerGenerator: Generator<PartyAndReference>`
moveCashGenerator | `val moveCashGenerator: <ERROR CLASS>`
notary | `val notary: Party`
parties | `val parties: List<Party>`
partyGenerator | `val partyGenerator: Generator<Party>`
producedGenerator | `val producedGenerator: Generator<Set<StateAndRef<ContractState>>>`
publicKeyGenerator | `val publicKeyGenerator: <ERROR CLASS>`